path: /build/build/glfw-media-libs-3.3.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="wayland-only" emerge media-libs/glfw -pv -t && \
    USE="wayland-only" emerge -j ${JOBS} --nodeps media-libs/glfw
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/glfw && luet-portage --dir /pkgdir/glfw
    media-libs/glfw && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:aba888c30580d77bcde0c8cf6520dc38fee9e70eefc4b7759f8e042a58960869
  package:
    name: glfw
    version: 3.3.9
    category: media-libs
    use_flags:
    - wayland-only
    requires:
    - name: c-blosc
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Portable OpenGL FrameWork
    uri:
    - https://www.glfw.org/
    license: ZLIB
    buildtimestamp: 2024-02-16 06:30:10.328981955 +0000 UTC m=+167.729123112
    labels:
      BDEPEND: wayland-only? ( dev-util/wayland-scanner kde-frameworks/extra-cmake-modules
        ) dev-util/ninja dev-util/cmake
      DEPEND: x11-libs/libxkbcommon wayland-only? ( dev-libs/wayland media-libs/mesa[egl(+),wayland]
        ) !wayland-only? ( virtual/opengl x11-libs/libX11 x11-libs/libXcursor x11-libs/libXinerama
        x11-libs/libXrandr x11-libs/libXxf86vm ) wayland-only? ( dev-libs/wayland-protocols
        ) !wayland-only? ( x11-base/xorg-proto x11-libs/libXi )
      IUSE: wayland-only
      RDEPEND: x11-libs/libxkbcommon wayland-only? ( dev-libs/wayland media-libs/mesa[egl(+),wayland]
        ) !wayland-only? ( virtual/opengl x11-libs/libX11 x11-libs/libXcursor x11-libs/libXinerama
        x11-libs/libXrandr x11-libs/libXxf86vm )
      emerge.packages: media-libs/glfw
      kit: media-kit
      original.package.name: media-libs/glfw
      original.package.slot: "0"
      original.package.version: 3.3.9
    treedir: /build/packages
  package_dir: /pkgdir/glfw
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: eccd3ed2cee595910ff8b2ee1535b6dc2466f0da1261d479d13af15582bf7ee2
compressiontype: zstd
files:
- usr/include/GLFW/glfw3.h
- usr/include/GLFW/glfw3native.h
- usr/lib64/cmake/glfw3/glfw3Config.cmake
- usr/lib64/cmake/glfw3/glfw3ConfigVersion.cmake
- usr/lib64/cmake/glfw3/glfw3Targets-gentoo.cmake
- usr/lib64/cmake/glfw3/glfw3Targets.cmake
- usr/lib64/libglfw.so
- usr/lib64/libglfw.so.3
- usr/lib64/libglfw.so.3.3
- usr/lib64/pkgconfig/glfw3.pc
- usr/share/doc/glfw-3.3.9/README.md.bz2
- var/db/pkg/media-libs/glfw-3.3.9/BDEPEND
- var/db/pkg/media-libs/glfw-3.3.9/BUILD_TIME
- var/db/pkg/media-libs/glfw-3.3.9/CATEGORY
- var/db/pkg/media-libs/glfw-3.3.9/CBUILD
- var/db/pkg/media-libs/glfw-3.3.9/CFLAGS
- var/db/pkg/media-libs/glfw-3.3.9/CHOST
- var/db/pkg/media-libs/glfw-3.3.9/CONTENTS
- var/db/pkg/media-libs/glfw-3.3.9/COUNTER
- var/db/pkg/media-libs/glfw-3.3.9/CXXFLAGS
- var/db/pkg/media-libs/glfw-3.3.9/DEFINED_PHASES
- var/db/pkg/media-libs/glfw-3.3.9/DEPEND
- var/db/pkg/media-libs/glfw-3.3.9/DESCRIPTION
- var/db/pkg/media-libs/glfw-3.3.9/EAPI
- var/db/pkg/media-libs/glfw-3.3.9/FEATURES
- var/db/pkg/media-libs/glfw-3.3.9/HOMEPAGE
- var/db/pkg/media-libs/glfw-3.3.9/INHERITED
- var/db/pkg/media-libs/glfw-3.3.9/IUSE
- var/db/pkg/media-libs/glfw-3.3.9/IUSE_EFFECTIVE
- var/db/pkg/media-libs/glfw-3.3.9/KEYWORDS
- var/db/pkg/media-libs/glfw-3.3.9/LDFLAGS
- var/db/pkg/media-libs/glfw-3.3.9/LICENSE
- var/db/pkg/media-libs/glfw-3.3.9/NEEDED
- var/db/pkg/media-libs/glfw-3.3.9/PF
- var/db/pkg/media-libs/glfw-3.3.9/PROVIDES
- var/db/pkg/media-libs/glfw-3.3.9/RDEPEND
- var/db/pkg/media-libs/glfw-3.3.9/REQUIRES
- var/db/pkg/media-libs/glfw-3.3.9/SIZE
- var/db/pkg/media-libs/glfw-3.3.9/SLOT
- var/db/pkg/media-libs/glfw-3.3.9/USE
- var/db/pkg/media-libs/glfw-3.3.9/environment.bz2
- var/db/pkg/media-libs/glfw-3.3.9/glfw-3.3.9.ebuild
- var/db/pkg/media-libs/glfw-3.3.9/repository
package_cacheimage: ""
runtime:
  name: glfw
  version: 3.3.9
  category: media-libs
  use_flags:
  - wayland-only
  requires:
  - name: wayland
    version: '>=0'
    category: dev-libs
  - name: mesa
    version: '>=0'
    category: media-libs
  - name: libxkbcommon
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Portable OpenGL FrameWork
  uri:
  - https://www.glfw.org/
  license: ZLIB
  labels:
    BDEPEND: wayland-only? ( dev-util/wayland-scanner kde-frameworks/extra-cmake-modules
      ) dev-util/ninja dev-util/cmake
    DEPEND: x11-libs/libxkbcommon wayland-only? ( dev-libs/wayland media-libs/mesa[egl(+),wayland]
      ) !wayland-only? ( virtual/opengl x11-libs/libX11 x11-libs/libXcursor x11-libs/libXinerama
      x11-libs/libXrandr x11-libs/libXxf86vm ) wayland-only? ( dev-libs/wayland-protocols
      ) !wayland-only? ( x11-base/xorg-proto x11-libs/libXi )
    IUSE: wayland-only
    RDEPEND: x11-libs/libxkbcommon wayland-only? ( dev-libs/wayland media-libs/mesa[egl(+),wayland]
      ) !wayland-only? ( virtual/opengl x11-libs/libX11 x11-libs/libXcursor x11-libs/libXinerama
      x11-libs/libXrandr x11-libs/libXxf86vm )
    emerge.packages: media-libs/glfw
    kit: media-kit
    original.package.name: media-libs/glfw
    original.package.slot: "0"
    original.package.version: 3.3.9
